Questions about OpenGL, a library for rendering 2D and 3D graphics

learn more… | top users | synonyms

0
votes
0answers
35 views

Blank desktop display, no unity, no bars, etc

Foreword: I'm completely new in Linux so bear with me I was told to prevent lag on games on this Ubuntu I should tick Nvidia tested properiaty driver in additional drivers and untick openGL in ...
1
vote
1answer
452 views

Is it possible to get a usable Ubuntu 15.04 running in Virtual Box on OS X?

I've just installed Ubuntu 15.04 with the guest additions (on VirtualBox 5.0.2, video mem=128MB, 3d enabled). Graphics are very "sluggish" even with HiDPI (Retina) disabled. After disabling all ...
1
vote
0answers
263 views

Hybrid Nvidia and Intel cards, bumblebee optirun not working and OpenGL not being Intel

I have been fighting with the installation and correct usage of my Nvidia GTX960M together with an Intel i7-4720M CPU on Ubuntu 15.04. I have followed lots of links on this website, on ubuntu wiki ...
0
votes
0answers
477 views

About Intel HD graphics driver on Ubuntu 15.04

I'm trying to use JOGL (OpenGL on Java), and it buggs, probably because of graphics driver, and can't manage my application. So, is there a installer for Ubuntu 15.04? Can't run 14.10 one because it ...
0
votes
0answers
73 views

How do I get started with OpenGL on Ubuntu 14.04

I have been trying to get myself setup to do some development in Ubuntu. I got my IDE codeblocks for c++, but regarding OpenGL side I am lost. I do not where to start from. I was expecting it to be ...
1
vote
2answers
172 views

It's possible to develop ubuntu touch app in C++ without using QML?

I am looking for way to develop ubuntu touch app using only C/C++. I want to know what are other options, maybe GTK+ can be used ? or QT Widget ? without sacrificing display touch capabilities ? And ...
0
votes
0answers
163 views

glxinfo (64bit) tried to load r600_dri.do (32bit)

I'm trying to setup a HTPC with Kodi (and vdpau), powered by an AMD A4-5300 APU with Radeon(tm) HD 7480D Graphics. Since hardware acceleration is not supported in the fglrx drivers, (Someone, correct ...
1
vote
1answer
88 views

What should I select for the option on the OpenGL dialogue box regarding Cairo Dock on ASUS laptop w / Intel® Celeron(R) CPU N2830 @ 2.16GHz × 2

I'm a new Ubuntu user. I just installed Ubuntu, and it was utterly screwed up at first (wouldn't display text reliably anywhere). I'm using it to learn to program, and I don't want to spend hours ...
4
votes
1answer
375 views

Kernel drive in use is not Nvidia

I am trying to install NVidia drivers on Linux mg-Ubuntu 3.16.0-45-generic #60~14.04.1-Ubuntu . Here is screen shot from GTK; And also in here is from Nvidia settings; However when I tried to ...
0
votes
1answer
824 views

Steam will not run games (OpenGL Error)

Every time I go to play a game on Steam it won't run, and gives me this error: Could not find required OpenGL entry point 'glGetError'! either your video card is unsupported, or OpenGL driver needs to ...
2
votes
1answer
21 views

A part of my screen can't change

My kubuntu can't refresh the lower part of my screen : When I restart openGL, it's refreshing the display once. But then the lower part is still stucked. How can I fix that ?
0
votes
1answer
738 views

Opengl for Ubuntu14 (building QT 5.4)

I have a fresh install of Ubuntu 14 LTS from this morning, I am using a PC with Nvidia graphic cards and I have successfully installed the latest version of the driver from the Nvidia website (NVIDIA-...
0
votes
0answers
117 views

Unable to run OpenGL 3.3 on an nvidia optimus system

I have made a fresh install of Ubuntu 14.04 on a Lenovo Y-410p(Optimus) with Nvidia Geforce 750M. After running the update tool, I see that nvidia-331 drivers are installed. I am unable to use nvidia ...
0
votes
1answer
232 views

Updating OpenGL [duplicate]

I am using OpenGL to develop applications on Ubuntu, and I wanted to use "modern OpenGL" instead of using deprecated things like glBegin. So I ran some modern OpenGL code, and my linker couldn't find ...
3
votes
1answer
797 views

Opengl Mesa : use opengl 4.0

I'm an opengl programmer, and I would like to use opengl 4.0; problem is that I cannot install any proprietary drivers, and when I type : glxinfo | grep "OpenGL version" in the terminal, it outputs me ...
0
votes
1answer
1k views

How to get OpenGL Shader Language 1.4 working with Intel HD Graphics 4000? (Trusty/14.04)

I am running Ubuntu 14.04 (trusty) on an Ultrabook with the i7-3537U CPU. This processor has the Intel HD 4000 GPU (ref), which supports OpenGL 3.3 under Linux (ref). OpenGL 3.3 includes support for ...
1
vote
1answer
2k views

Ubuntu 15.04 Dota 2 Reborn Beta Not Working

I use Version 15.04 Ubuntu. I have no problems wıth usage of Dota 2 but Dota 2 Reborn. It crashes after I see its logo on screen. The game's logs are in the below Game update: AppID 570 "Dota 2", ...
0
votes
1answer
8k views

How to Update OpenGL with Intel graphics card Ubuntu 14.04

So I got my desktop back up and running and I wanted to play TF2, so I installed Steam, got the game and when it starts up I get Could Not Find Required OpenGL Entry Point 'GLColormaskindexedEXT'! ...
2
votes
0answers
311 views

Radeon R9 280 graphics card isnt installing in 15.04

I have fglrx-updates installed but fglrxinfo shows display: :0.0 screen: 0 OpenGL vendor string: VMware, Inc. OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.6, 256 bits) OpenGL version ...
1
vote
1answer
109 views

Is Floating Point Texture Support Enabled in Mesa?

I am attempting to play a game through CrossOver for Linux. However, I get a warning that floating-point textures isn't supported in OpenGL. I recently found that this was due to a legal issue that ...
0
votes
2answers
2k views

Intel HD 4600 and OpenGL 4

I just purchased an Ubuntu laptop from System76 with an Intel HD 4600 graphics card. The sales person told me that this card supports the latest version of OpenGL 4.5 under linux. I installed the ...
1
vote
2answers
3k views

MATLAB R2015a won't start on 14.04

I recently downloaded MATLAB R2015a on my ubuntu 14.04 virtualbox. When I try to run it, I get the blue matlab logo screen and the following error in terminal: libGL error: unable to load driver: ...
1
vote
0answers
33 views

updated from 14.04 to 14.10 internet is not working

I tried updating for the second time, worked but can't connect to my network and it can't connect to Ethernet either. When I tried opening a steam game, it have me an error. OpenGL GLX context is ...
1
vote
0answers
341 views

Ubuntu 14.04 - Can't use newest OpenGL version

I'm running Xubuntu 14.04 LTS on a laptop with an Nvidia GeForce GTX 765m with the nvidia-340 drivers from the xorg-edgers PPA. I'm trying to run an application that requires a recent version of ...
0
votes
2answers
173 views

Uninstalled Compiz and OpenGL - Ubuntu won't load

About a week ago I installed CCSM and enabled wobbly windows. After using the autoremove command today, it was gone. I decided that if I re-installed Compiz that maybe it would come back. I un-...
0
votes
1answer
206 views

Why do Nvidia mobile cards not work with Ubuntu

I've gone through 8 laptops already. I keep returning them because I can't get Ubuntu working with the latest Nvidia drivers. When I first install Ubuntu it works perfectly. But I need OpenGL 4.3 ...
7
votes
2answers
248 views

Fonts not visible in Far Cry 1 with Wine

I recently installed Far Cry 1 (5 CD retail) under Wine using this tutorial on my Ubuntu 14.04 64 bit. My Pc specs are as follows: Integrated graphics: Intel G33 openGL version: 1.4 Ram: 2GB DDR2 (...
0
votes
1answer
340 views

Why cant I enable Opengl with XFCE and Plasma and radeon driver?

I can enable Opengl in KDE Compositor Settings, but it keeps falling back to Xrender. Why is that? Glxinfo gives me this: glxinfo | grep direct direct rendering: Yes fry@fry-pc:~$ glxinfo | grep -i ...
0
votes
1answer
185 views

Steam: OpenGL GLX context is not using direct rendering, which may cause performance problems

I have the fgxrl driver(gfx: Radeon HD7950, 3GB), yet steam provides me this error every time on startup after I installed it. What is the fix? Do I need to purge both steam and fxgrl, then install ...
1
vote
0answers
656 views

OpenGL on Ubuntu 14.04

On a Dell XPS 13 with preinstalled Ubuntu 14.04 I have problems to get OpenGL example programs (www.opengl-tutorial.org) running. Everything compiles fine, however the window on the screen either is ...
2
votes
1answer
10k views

fatal error: SDL/SDL.h: No such file or directory [closed]

I am trying to practice lesson_1 at https://tutorialsplay.com/opengl/2014/04/23/textured-cube/ When I run the code named cube.c I got cube.c:16:21: fatal error: SDL/SDL.h: No such file or directory ...
-2
votes
1answer
1k views

Error at startup running War Thunder

Hello Who can help me to solve this error? Error initializing video (OpenGL3): ../../prog/engine2/drv/drv3d_GL3/linux_main.cpp, 415: error when creating of gl_context
1
vote
0answers
286 views

OpenGL Ubuntu 14.04

This is the first time I'm using this way to sort my problem out, usualy I find a answer when I duck it (duckduckgo version of google it ;D), anyways I got this PC with a integrated graphics card ...
0
votes
1answer
275 views

Radeon HD 6630M

I have a "Lenovo ThinkPad Edge E520" This is my GPU: "Radeon HD 6630M" Running: obs Gives: Attempted path: share/obs/obs-studio/locale/en-US.ini Attempted path: /usr/share/obs/obs-studio/locale/...
2
votes
0answers
2k views

Update OpenGL to 3.3 from 3.0 on Intel HD Graphics 3000 used Macbook air running Ubuntu 14.04

When I typed the following : $ glxinfo | grep "OpenGL version" OpenGL version string: 3.0 Mesa 10.6.0-devel I found from https://support.apple.com/en-ap/HT202823 Intel HD Graphics 3000 (with ...
0
votes
1answer
177 views

Trying to get openGL 4 to work with amd card

I cant find anything that works to get the proprietary drivers for my AMD Radeon card. (I'm trying to play Metro 2033, but keep getting the error saying I need OpenGL 4.)
1
vote
0answers
83 views

Graphics Messages while running LightTable on 14.04 x64

I'm new to Ubuntu, and receive the following issues when running Juno within LightTable: marktab@ubuntu0617:~$ ./LightTable/LightTable markab@ubuntu0617:~$ [2883:0504/161921:ERROR:browser_main_loop....
1
vote
0answers
167 views

After installing OpenGL to run genymotion, Ubuntu 14.04 stopped booting

now I get error fatal server error no screens found. This is after I select failsafe X option. And if I continue normally I get messages like: Fontconfig warning /etc/fonts/conf.d/65-droid-sans-...
2
votes
1answer
2k views

The imported target “Qt5::Gui” references the file “/usr/lib/x86_64-linux-gnu/libEGL.so” but this file does not exist. [closed]

So, 15.04 x64, just installed. I installed the nvidia binary in the old way (console, switching off lightdm) because I got an error about DRI2 authentication. Then I wanted to build the nv opengl ...
1
vote
1answer
1k views

VLC video playback is choppy on Vivid with nvidia-346

I'm running Kubuntu Vivid, and have an Nvidia 940GM card on my Inspiron laptop. When using the nvidia-346 driver, VLC plays choppy videos (video seems "pixelized" with green dots appearing). The ...
0
votes
1answer
192 views

OpenGL Error Steam Ubuntu 14.10

It seems now, that after installing 14.10, and Steam shortly after the updates and drivers installed, I get a pop-up that explains an OpenGL rendering error that may cause performance issues. I have ...
1
vote
0answers
51 views

New desktop dies when starting OpenGL screensavers

I got some new screensavers (sudo apt-get install xscreensaver xscreensaver-gl-extra xscreensaver-data-extra) and it had some nice OpenGL screensavers on it. When I start some of them (one of them is ...
1
vote
0answers
404 views

'Undefined References' Error during OpenGL Pgm Compiling (freeglut3)

I tried to run an openGL pgm in my Ubuntu 14.04 and i have freeglut3 and dev installed. But it returns some 'Undefined References' to all the functions that i have used in my pgm. rahul@rahul-System-...
1
vote
0answers
398 views

freeglut OpenGL GLX extension not supported by display ':0'

I am trying to run an application with OpenGL and the following message apears: freeglut OpenGL GLX extension not supported by display ':0' I already read lots of topics here and in stackexchange ...
0
votes
1answer
4k views

Struggling to get Kodi running on Ubuntu Server 14.04.2

I've just finished building a new machine and installed Ubuntu Server 14.04.2 LTS (typical install from USB flash drive). I'm currently having issues trying to get Kodi up and running (I suspect) ...
2
votes
1answer
255 views

Can't get OpenGL to work, Games crash on launch, AMD Radeon 6670, Issues with driver?

So, I got Ubuntu yesterday, and enthusiastically started to install all my linux supported steam games. Only about two of them worked, and the rest crashed instantly back to steam without error ...
1
vote
1answer
241 views

Compiz crash in virtualbox

I had fully working 64bit Ubuntu 14.04 under VirtualBox 4.3.20. I then updated ubuntu and virtualbox and now I can login but the Unity will not display because compiz crashes with segmentation fault - ...
1
vote
1answer
820 views

Minecraft and java troubles

I like to play Minecraft. But recently I can only be able to open Minecraft versions that is lower than 1.7.2. When I launch 1.7.2 the Minecraft didn't show that I have to upgrade the card. My OpenGL ...
3
votes
0answers
424 views

Update OpenGL to 2.0

I want to play a number of games that I have installed on my Ubuntu Install, however in order to do that my OpenGL is outdated, usually requiring version 2.0 as a minimal. I want to install 2.0, but ...
1
vote
1answer
2k views

Can't install mesa-common-dev

I can't install this package, it gives me an error, this is the output from terminal: ➜ ~ sudo apt-get install mesa-common-dev Reading package lists... Done Building dependency tree ...